Settings

Get

get

Retrieves the Tenant Broker Settings.

Responses
chevron-right
200

Success

application/json; api-version=1.0

Tenant Broker

brokerAddressstring · nullableOptional

Address to be used when registering a tenant, when the OverrideAddress is set.

hideBillingInfobooleanOptional

When set, billing information is not provided in the Licensing category of the Tenant.

overrideAddressbooleanOptional

Override Tenant Broker address in tenant invitations and secret keys.

tenantBrokerSecretKeystring · nullableOptional

Tenant broker secret key which is to be used for tenants to automatically register themselves.

tenantDomainstring · nullableOptional

Public domain address used to register the tenants. If you want to register tenants as subdomains, specify the domain part of the host name. For example, to use "subdomain.domain.com" as a tenant hosts name, specify "domain.com".

allowRegistrationWithSecretKeybooleanOptional

Allow RAS Sites to register in Tenant Broker using a secret key.

get
/api/TenantBrokerSettings

Update

put

Modify the Tenant Broker Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

Query parameters
siteIdinteger · int32Optional

Site Id

Body

Updates the Tenant Broker settings

brokerAddressstring · nullableOptional

IP Address to be used when registering a tenant, when the OverrideAddress is set.

hideBillingInfoboolean · nullableOptional

When set, billing information is not provided in the Licensing category of Tenants joined with secret keys.

overrideAddressboolean · nullableOptional

Override Tenant Broker address in tenant invitations and secret keys.

tenantDomainstring · nullableOptional

Public domain address used to register the tenants. If you want to register tenants as subdomains, specify the domain part of the host name. For example, to use "subdomain.domain.com" as a tenant hosts name, specify "domain.com".

allowRegistrationWithSecretKeyboolean · nullableOptional

Allow RAS Sites to register in Tenant Broker using a secret key.

Responses
put
/api/TenantBrokerSettings

No content

Generate Hash

post

Updates the specified site's default tenant broker settings with a new secret hash key.

Query parameters
SiteIdinteger · int32Optional

Site Id

Responses
chevron-right
200

Success

application/json; api-version=1.0
stringOptional
post
/api/TenantBrokerSettings/GenerateHash

Last updated